> For the complete documentation index, see [llms.txt](https://docs.emobiq.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/app/share.md).

# share

## Description

Share the information from an app to an external application.

## Input / Parameter

| Name            | Description                     | Input Type  | Default | Options | Required |
| --------------- | ------------------------------- | ----------- | ------- | ------- | -------- |
| subject         | The subject of the information. | String/Text | -       | -       | No       |
| message         | The message to be shared.       | String/Text | -       | -       | No       |
| url             | The url to be shared.           | String/Text | -       | -       | Yes      |
| files           | Array of files.                 | Array/List  | -       | -       | Yes      |
| chooserTitle    | Choose the title of the dialog. | String/Text | -       | -       | Yes      |
| appPackageName  | The name of the package.        | String/Text | -       | -       | Yes      |
| iPadCoordinates | The coordinates of iPad popup.  | String/Text | -       | -       | Yes      |

## Output

N/A

## Callback

### callback

The function to be executed when information is successfully shared.

### errorCallback

The function to be executed when information is not shared successfully.

## Video

Coming Soon.

## Example

Coming Soon.

### Steps

Coming Soon.

### Result

Coming Soon.

## Links


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/app/share.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
